Bug 1463144 - Race in jdwp invoker handling may lead to crashes or invalid results
Summary: Race in jdwp invoker handling may lead to crashes or invalid results
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk (Show other bugs)
(Show other bugs)
Version: 7.4
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: zzambers
URL:
Whiteboard:
Keywords:
Depends On: 1284948
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-20 08:48 UTC by Severin Gehwolf
Modified: 2018-06-21 02:35 UTC (History)
2 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.131-12.b12.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
openjdk bug system JDK-8181419 None None None 2017-06-20 08:48 UTC
Icedtea Bugzilla 3413 None None None 2017-08-21 15:56 UTC

Description Severin Gehwolf 2017-06-20 08:48:19 UTC
Description of problem:
With bug 1284948 we've fixed an OpenJDK memory leak in the jdwp layer of the Java debugger interface. The included fix with bug 1284948 contains a potential race which may lead to crashes or invalid results. See the upstream bug for more information. On top of the fix for bug 1284948 we should also include the additional upstream fix of JDK-8181419 here:
http://hg.openjdk.java.net/jdk10/jdk10/jdk/rev/b0d1ada042b6

Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-1.8.0.121-2.b13.el7

Comment 2 Andrew John Hughes 2017-07-05 07:10:50 UTC
Included in 7.3.z and 7.4 as part of July 2017 security update.

Comment 4 Andrew John Hughes 2017-08-21 15:57:54 UTC
7.4 has shipped.

Comment 5 Andrew John Hughes 2018-05-02 16:19:05 UTC
7.5 has shipped.


Note You need to log in before you can comment on or make changes to this bug.